Package com.collibra.dgc.core.api.dto.meta.derivedrelationtype

# Class ChangeDerivedRelationTypeRequest

Object
ChangeDerivedRelationTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeDerivedRelationTypeRequest extends Object implements Serializable
A request object for modifying an existing derived relation type.

This class represents the data structure used to update properties of an existing derived relation type. Only the properties provided in the request will be updated; unspecified properties will remain unchanged.

The request supports updating both basic relation type properties and path-specific information for derived relation types with intermediate nodes.

See Also:
  - `PathSourceNodeRequest`
  - `PathTargetNodeRequest`
  - `PathIntermediateNodeRequest`
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ChangeDerivedRelationTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeDerivedRelationTypeRequest()`
  `ChangeDerivedRelationTypeRequest(UUID id, String publicId, String description, String sourceTypePublicId, String targetTypePublicId, String role, String coRole, PathSourceNodeRequest sourceNode, PathTargetNodeRequest targetNode, List<PathIntermediateNodeRequest> intermediateNodes)`
  Constructs a new ChangeDerivedRelationTypeRequest with the specified parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeDerivedRelationTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `@Size(min=1,max=255) String`
  `coRole()`
  Returns the new co-role name for the derived relation type.
  `@Size(max=4000) String`
  `description()`
  Returns the new description for the derived relation type.
  `boolean`
  `equals(Object o)`
  `String`
  `getCoRole()`
  The co-role of the Derived Relation Type.
  `String`
  `getDescription()`
  The description of the Derived Relation Type.
  `UUID`
  `getId()`
  `List<PathIntermediateNodeRequest>`
  `getIntermediateNodes()`
  The intermediate nodes of the Derived Relation Type.
  `String`
  `getPublicId()`
  The public id of the Derived Relation Type.
  `String`
  `getRole()`
  The role of the Derived Relation Type.
  `PathSourceNodeRequest`
  `getSourceNode()`
  The start node of the Derived Relation Type.
  `String`
  `getSourceTypePublicId()`
  The public id of the source type of the Derived Relation Type.
  `PathTargetNodeRequest`
  `getTargetNode()`
  The end node of the Derived Relation Type.
  `String`
  `getTargetTypePublicId()`
  The public id of the target type of the Derived Relation Type.
  `int`
  `hashCode()`
  `UUID`
  `id()`
  Returns the unique identifier of the derived relation type to modify.
  `List<PathIntermediateNodeRequest>`
  `intermediateNodes()`
  Returns the new intermediate nodes list for the derived relation type.
  `@Size(min=1,max=260) String`
  `publicId()`
  Returns the new public identifier for the derived relation type.
  `@Size(min=1,max=255) String`
  `role()`
  Returns the new role name for the derived relation type.
  `void`
  `setCoRole(String coRole)`
  The co-role of the Derived Relation Type.
  `void`
  `setDescription(String description)`
  The description of the Derived Relation Type.
  `void`
  `setId(UUID id)`
  `void`
  `setIntermediateNodes(List<PathIntermediateNodeRequest> intermediateNodes)`
  The intermediate nodes of the Derived Relation Type.
  `void`
  `setPublicId(String publicId)`
  The public id of the Derived Relation Type.
  `void`
  `setRole(String role)`
  The role of the Derived Relation Type.
  `void`
  `setSourceNode(PathSourceNodeRequest sourceNode)`
  The start node of the Derived Relation Type.
  `void`
  `setSourceTypePublicId(String sourceTypePublicId)`
  The public id of the source type of the Derived Relation Type.
  `void`
  `setTargetNode(PathTargetNodeRequest targetNode)`
  The end node of the Derived Relation Type.
  `void`
  `setTargetTypePublicId(String targetTypePublicId)`
  The public id of the target type of the Derived Relation Type.
  `PathSourceNodeRequest`
  `sourceNode()`
  Returns the new source node configuration for the derived relation type.
  `String`
  `sourceTypePublicId()`
  Returns the public ID of the source type for the derived relation type.
  `PathTargetNodeRequest`
  `targetNode()`
  Returns the new target node configuration for the derived relation type.
  `String`
  `targetTypePublicId()`
  Returns the public ID of the target type for the derived relation type.
  `ChangeDerivedRelationTypeRequest`
  `withId(UUID id)`
  Creates a new ChangeDerivedRelationTypeRequest with the specified ID and all other properties from this instance.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChangeDerivedRelationTypeRequest

    public ChangeDerivedRelationTypeRequest(UUID id, String publicId, String description, String sourceTypePublicId, String targetTypePublicId, String role, String coRole, PathSourceNodeRequest sourceNode, PathTargetNodeRequest targetNode, List<PathIntermediateNodeRequest> intermediateNodes)
    Constructs a new ChangeDerivedRelationTypeRequest with the specified parameters.

    This constructor creates a request to modify an existing derived relation type. Only the properties provided in the request will be updated; unspecified properties will remain unchanged in the target derived relation type.

    Parameters:
      `id` - the unique identifier of the derived relation type to modify
      `publicId` - the new public identifier (optional)
      `description` - the new description (optional)
      `sourceTypePublicId` - the public ID of the source type (optional)
      `targetTypePublicId` - the public ID of the target type (optional)
      `role` - the new role name (optional)
      `coRole` - the new co-role name (optional)
      `sourceNode` - the new source node configuration (optional)
      `targetNode` - the new target node configuration (optional)
      `intermediateNodes` - the new intermediate nodes list (optional)

  - ### ChangeDerivedRelationTypeRequest

    public ChangeDerivedRelationTypeRequest()

- ## Method Details

  - ### withId

    public ChangeDerivedRelationTypeRequest withId(UUID id)
    Creates a new ChangeDerivedRelationTypeRequest with the specified ID and all other properties from this instance.

    This method is useful for creating a copy of the current request with a different ID, which is commonly needed when working with derived relation type operations.

    Parameters:
      `id` - the new ID to use
    Returns:
      a new ChangeDerivedRelationTypeRequest with the specified ID and all other properties from this instance

  - ### id

    public UUID id()
    Returns the unique identifier of the derived relation type to modify.
    Returns:
      the unique identifier

  - ### publicId

    @Size(min=1, max=260) public @Size(min=1,max=260) String publicId()
    Returns the new public identifier for the derived relation type.
    Returns:
      the public identifier, or null if not being updated

  - ### description

    @Size(max=4000) public @Size(max=4000) String description()
    Returns the new description for the derived relation type.
    Returns:
      the description, or null if not being updated

  - ### sourceTypePublicId

    public String sourceTypePublicId()
    Returns the public ID of the source type for the derived relation type.
    Returns:
      the source type public ID, or null if not being updated

  - ### targetTypePublicId

    public String targetTypePublicId()
    Returns the public ID of the target type for the derived relation type.
    Returns:
      the target type public ID, or null if not being updated

  - ### role

    @Size(min=1, max=255) public @Size(min=1,max=255) String role()
    Returns the new role name for the derived relation type.
    Returns:
      the role name, or null if not being updated

  - ### coRole

    @Size(min=1, max=255) public @Size(min=1,max=255) String coRole()
    Returns the new co-role name for the derived relation type.
    Returns:
      the co-role name, or null if not being updated

  - ### sourceNode

    public PathSourceNodeRequest sourceNode()
    Returns the new source node configuration for the derived relation type.
    Returns:
      the source node configuration, or null if not being updated

  - ### targetNode

    public PathTargetNodeRequest targetNode()
    Returns the new target node configuration for the derived relation type.
    Returns:
      the target node configuration, or null if not being updated

  - ### intermediateNodes

    public List<PathIntermediateNodeRequest> intermediateNodes()
    Returns the new intermediate nodes list for the derived relation type.
    Returns:
      the intermediate nodes list, or null if not being updated

  - ### builder

    public static ChangeDerivedRelationTypeRequest.Builder builder()

  - ### getId

    public UUID getId()

  - ### getPublicId

    public String getPublicId()
    The public id of the Derived Relation Type.

  - ### getDescription

    public String getDescription()
    The description of the Derived Relation Type.

  - ### getSourceTypePublicId

    public String getSourceTypePublicId()
    The public id of the source type of the Derived Relation Type.

  - ### getTargetTypePublicId

    public String getTargetTypePublicId()
    The public id of the target type of the Derived Relation Type.

  - ### getRole

    public String getRole()
    The role of the Derived Relation Type.

  - ### getCoRole

    public String getCoRole()
    The co-role of the Derived Relation Type.

  - ### getSourceNode

    public PathSourceNodeRequest getSourceNode()
    The start node of the Derived Relation Type.

  - ### getTargetNode

    public PathTargetNodeRequest getTargetNode()
    The end node of the Derived Relation Type.

  - ### getIntermediateNodes

    public List<PathIntermediateNodeRequest> getIntermediateNodes()
    The intermediate nodes of the Derived Relation Type.

  - ### setId

    public void setId(UUID id)

  - ### setPublicId

    public void setPublicId(String publicId)
    The public id of the Derived Relation Type.

  - ### setDescription

    public void setDescription(String description)
    The description of the Derived Relation Type.

  - ### setSourceTypePublicId

    public void setSourceTypePublicId(String sourceTypePublicId)
    The public id of the source type of the Derived Relation Type.

  - ### setTargetTypePublicId

    public void setTargetTypePublicId(String targetTypePublicId)
    The public id of the target type of the Derived Relation Type.

  - ### setRole

    public void setRole(String role)
    The role of the Derived Relation Type.

  - ### setCoRole

    public void setCoRole(String coRole)
    The co-role of the Derived Relation Type.

  - ### setSourceNode

    public void setSourceNode(PathSourceNodeRequest sourceNode)
    The start node of the Derived Relation Type.

  - ### setTargetNode

    public void setTargetNode(PathTargetNodeRequest targetNode)
    The end node of the Derived Relation Type.

  - ### setIntermediateNodes

    public void setIntermediateNodes(List<PathIntermediateNodeRequest> intermediateNodes)
    The intermediate nodes of the Derived Relation Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`